Bug 8247 - adding basket doesn't save basket name, internal or vendor note
Summary: adding basket doesn't save basket name, internal or vendor note
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P1 - high blocker (vote)
Assignee: Dobrica Pavlinusic
QA Contact:
URL:
Keywords:
Depends on: 7757
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 15:13 UTC by Dobrica Pavlinusic
Modified: 2019-06-27 09:24 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8247 - adding basket doesn't save basket name, internal or vendor note (1.52 KB, patch)
2012-06-14 15:20 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8247 - adding basket doesn't save basket name, internal or vendor note (1.77 KB, patch)
2012-06-14 18:29 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2012-06-14 15:13:43 UTC
URL: /cgi-bin/koha/acqui/basketheader.pl?booksellerid=32&op=add_form

I'm also getting mysql referential integrity error:

DBD::mysql::st execute failed: Cannot add or update a child row: a foreign key constraint fails (`koha_srvgit`.`aqbasket`, CONSTRAINT `aqbasket_ibfk_1` FOREIGN KEY (`booksellerid`) REFERENCES `aqbooksellers` (`id`) ON UPDATE CASCADE) at /srv/koha/C4/Acquisition.pm line 416.

Test scenario:

1. Find vendor and select "New basket"
2. fill in basket name, internal and vendor note
3. press save
4. verify that created basket doesn't have name nor internal or vendor notes
Comment 1 Dobrica Pavlinusic 2012-06-14 15:20:47 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2012-06-14 18:29:27 UTC
Created attachment 10286 [details] [review]
[SIGNED-OFF] Bug 8247 - adding basket doesn't save basket name, internal or vendor note

URL: /cgi-bin/koha/acqui/basketheader.pl?booksellerid=32&op=add_form

I'm also getting mysql referential integrity error:

DBD::mysql::st execute failed: Cannot add or update a child row: a foreign key constraint fails (`koha_srvgit`.`aqbasket`, CONSTRAINT `aqbasket_ibfk_1` FOREIGN KEY (`booksellerid`) REFERENCES `aqbooksellers` (`id`) ON UPDATE CASCADE) at /srv/koha/C4/Acquisition.pm line 416.

Test scenario:

1. Find vendor and select "New basket"
2. fill in basket name, internal and vendor note
3. press save
4. verify that created basket doesn't have name nor internal or vendor notes

Signed-off-by: Marc Veron <veron@veron.ch>

First tested without patch applied, new basket's name and internal / vendor notes were empty-
Applied patch, new basket's name and notes behave OK.
Comment 3 Ian Walls 2012-06-15 14:34:15 UTC
Adds missing required parameter to ModBasketHeader, and that's all.  Passed QA.
Comment 4 David Cook 2012-06-18 00:42:48 UTC
I was quite confused by this bug until I realized that booksellerid was added to ModBasketHeader in Bug 7757...
Comment 5 Chris Cormack 2012-06-20 08:52:25 UTC
No string changes, pushed to 3.8.x will be in 3.8.2